<?php 
/******************************************************************************
 * Klasse fuer zum Abruf und Bearbeiten von Ankündigungen
 *
 * Copyright    : (c) 2004 - 2013 The Admidio Team
 * Homepage     : http://www.admidio.org
 * License      : GNU Public License 2 http://www.gnu.org/licenses/gpl-2.0.html
 *
  *****************************************************************************/
  
class ModuleSites
{
    protected $aSites=array();
    protected $aLinks=array();

    public function __construct()
    {
        global $gCurrentOrganization;
        global $gDb;
        global $g_tbl_praefix;

        if(!defined('TBL_STATIC_SITES'))
        {
            define('TBL_STATIC_SITES',      $g_tbl_praefix. '_static_sites');
        }

        //read sites from database
        $sql = 'SELECT sites.*
                  FROM '. TBL_STATIC_SITES. ' sites
                 WHERE (  site_org_shortname = \''. $gCurrentOrganization->getValue('org_shortname'). '\'
                    OR (   site_global   = 1
                   AND site_org_shortname IN ('.$gCurrentOrganization->getFamilySQL(true).') ))
                 ORDER BY site_order';

        $result = $gDb->query($sql);

        //Ergebnisse auf Array pushen
        $this->aSites[0] = array(); 
        $this->aLinks[0] = array(); 

        while($row = $gDb->fetch_array($result))
        {
            $this->aSites[] = $row;
            $this->aLinks[] = array(
                'headline'=>$row['site_headline'],
                'description'=>$row['site_description'],
                'symbol_small'=>$row['site_symbol_small'],
                'symbol_large'=>$row['site_symbol_large']
                );
        }

    }

    public function getLinks()
    {
        return $this->aLinks;
    }

    public function getSite($iSiteIndex)
    {
        return $this->aSites[$iSiteIndex];
    }

    public function getSiteByHeadline($sSiteHeadline)
    {
        // Caution: It ist possible to have more than one Siete with the headline!
        // this functions returns only the first.

        foreach($this->aSites as $i => $row)
        {
            if($row['site_headline']==$sSiteHeadline)
            {
                return $row;
            }
        }
    }


}

?>